%define distsuffix	plf

%define base_name       kde-theme
%define theme_name      baghira
%define name            %{base_name}-%{theme_name}
%define version         0.8
%define release         %mkrel 2
%define summary         Baghira theme for KDE

%define major 		0
%define libname 	%mklibname %name %major

%define kdeadmin_svnrev	3.5.8
%define kdeadmin_name	kdeadmin
# svn://anonsvn.kde.org/home/kde/tags/KDE/%{kdeadmin_svnrev}/kdeadmin/admin

%define programname	%{name}-%{version}

Name:                   %{name}
Version:                %{version}
Release:                %{release}
Summary:                %{summary}
License:                GPL
Group:                  Graphical desktop/KDE
Source0:		http://prdownloads.sourceforge.net/baghira/baghira-%{version}.tar.bz2
Source1:		%{kdeadmin_name}-svn%{kdeadmin_svnrev}.tar.bz2
Url:                    http://baghira.sourceforge.net/
BuildRequires:          X11-devel
BuildRequires:          jpeg-devel
BuildRequires:          qt3-devel
BuildRequires:          kdebase-devel
BuildRoot:              %{_tmppath}/%{programname}-buildroot

%description
Baghira is a very nice native KDE style and windec
originally based on Mosfet's Liquid style.

This package is in PLF because it contains non-free icons.

%package -n     %{libname}-devel
Summary:        Header files and static libraries from %name
Group:          Development/C
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %name-devel

%description -n %{libname}-devel
Libraries and includes files for
developing programs based on %name

This package is in PLF because it contains non-free icons.

%prep
%setup -q -n %{theme_name}-%{version}

rm -rf admin
%setup -q -T -D -b 1 -n %{theme_name}-%{version}
cd ..
mv %{kdeadmin_name}-svn%{kdeadmin_svnrev} %{theme_name}-%{version}/admin

%build
./configure --prefix=%{_prefix} --disable-debug --disable-warnings --disable-rpath --libdir=%{_libdir}
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

install -d %{buildroot}/%{_libdir}/%{programname}
install -d %{buildroot}/%{_includedir}/%{programname}

mv %{buildroot}/%{_libdir}/libbaghirastarter.la %{buildroot}/%{_libdir}/%{programname}/libbaghirastarter.la
mv %{buildroot}/%{_libdir}/libbaghirastarter.so %{buildroot}/%{_libdir}/%{programname}/libbaghirastarter.so.%{major}
mv %{buildroot}/%{_libdir}/usermanager_panelapplet.la %{buildroot}/%{_libdir}/%{programname}/usermanager_panelapplet.la
mv %{buildroot}/%{_libdir}/usermanager_panelapplet.so %{buildroot}/%{_libdir}/%{programname}/usermanager_panelapplet.so.%{major}
mv %{buildroot}/%{_includedir}/baghirasidebar.h %{buildroot}/%{_includedir}/%{programname}/baghirasidebar.h
mv %{buildroot}/%{_includedir}/baghirasidebariface.h %{buildroot}/%{_includedir}/%{programname}/baghirasidebariface.h
mv %{buildroot}/%{_includedir}/dndlistbox.h %{buildroot}/%{_includedir}/%{programname}/dndlistbox.h
mv %{buildroot}/%{_includedir}/linkview.h %{buildroot}/%{_includedir}/%{programname}/linkview.h
mv %{buildroot}/%{_includedir}/listboxlink.h %{buildroot}/%{_includedir}/%{programname}/listboxlink.h

ln -s libbaghirastarter.so.%{major} %{buildroot}/%{_libdir}/%{programname}/libbaghirastarter.so
ln -s usermanager_panelapplet.so.%{major} %{buildroot}/%{_libdir}/%{programname}/usermanager_panelapplet.so


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc README AUTHORS ChangeLog COPYING NEWS TODO
%{_bindir}/bab
%{_libdir}/kde3/b_menu_panelapplet.*
%{_libdir}/kde3/kstyle_%{theme_name}_config.*
%{_libdir}/kde3/kwin3_%{theme_name}.*
%{_libdir}/kde3/kwin_%{theme_name}_config.*
%{_libdir}/kde3/plugins/styles/%{theme_name}.*
%{_datadir}/apps/kdisplay/color-schemes/Aqua*
#%{_datadir}/apps/kicker/applets/b_menuapplet.desktop
%{_datadir}/apps/kicker/applets/usermanager.desktop
%{_datadir}/apps/konqsidebartng/add/baghirasidebar_add.desktop
%{_datadir}/apps/konqsidebartng/entries/baghirasidebar.desktop
%{_datadir}/apps/kicker/applets/starter.desktop
%{_datadir}/apps/kstyle/themes/baghira.themerc
%{_datadir}/apps/kwin/baghira.desktop
%{_datadir}/icons/crystalsvg/*/*/baghira*
%{_datadir}/icons/crystalsvg/*/*/bab_*
%{_datadir}/apps/baghira/poof.png
%{_iconsdir}/crystalsvg/22x22/actions/bStarter.png
%{_iconsdir}/crystalsvg/22x22/actions/bStarter_down.png
%{_iconsdir}/crystalsvg/22x22/actions/bStarter_hover.png


%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/%{programname}/libbaghirastarter.la
%{_libdir}/%{programname}/libbaghirastarter.so*
%{_libdir}/kde3/konqsidebar_baghirasidebar.la
%{_libdir}/kde3/konqsidebar_baghirasidebar.so
%{_libdir}/%{programname}/usermanager_panelapplet.la
%{_libdir}/%{programname}/usermanager_panelapplet.so*
%{_includedir}/%{programname}/baghirasidebar.h
%{_includedir}/%{programname}/baghirasidebariface.h
%{_includedir}/%{programname}/dndlistbox.h
%{_includedir}/%{programname}/linkview.h
%{_includedir}/%{programname}/listboxlink.h


%changelog
* Tue Jan 8 2008 Javier Rodas <jrodas@zarb.org> 0.8-2plf2008.1
- KDE 3.5.8 version in Mandriva 2008.1
- KDE svn admin headers now packaged in Source1

* Mon Sep 18 2006 Javier Rodas <jrodas@zarb.org> 0.8-2plf2007.0
- Fix Source0 local reference
- KDE 3.5.4 admin headers are downloaded with subversion
- Fix Baghira devel package directory paths
- Fix BuildRequires

* Fri Sep 15 2006 Javier Rodas <jrodas@zarb.org> 0.8-1plf2007.0
- 0.8
- Replaced KDE admin headers in the source file (for KDE 3.5.4)
- Fix BuildRequires
- Removed the patch file

* Thu Oct 13 2005 neoclust <neoclust@mandriva.com> 0.7-1plf
- 0.7
- remove redundant buildrequires

* Mon Mar 04 2005 Nicolas L�ureuil <neoclust@zarb.org> 0.6-3plf
- Add PLF reason
- bzipped patch 
- Make rpmlint happier

* Mon Mar 04 2005 Nicolas L�ureuil <neoclust@zarb.org> 0.6-2plf
- New version
- Fix compile ( Patch0 from Gentoo)
- Spec Cleanup
- rpmbuildupdatable

* Mon Dec 06 2004 Laurent Culioli <laurent@zarb.org> 0.6-1plf
- Initial Release.
